import "font-awesome/css/font-awesome.min.css";
import "element-ui/lib/theme-chalk/index.css";
import Table from "../packages/table/index.js";
import TableColumn from "../packages/table-column/index.js";
import InputNumber from "../packages/input-number/index.js";
import "../packages/themes/packages/index.scss";
import ElementUI from "element-ui";

const components = [
  Table,
  TableColumn,
  InputNumber
];
const install = function (Vue) {
  if (install.installed) {return;}
  components.map((component) => {
    Vue.component(component.name, component);
  });
  Vue.use(ElementUI);
};

if (typeof window !== "undefined" && window.Vue) {
  install(window.Vue);
}

export default {
  version: "1.0.7",
  install,
  Table,
  TableColumn,
  InputNumber
};
